/organisation/:id/pricing
curl --request GET \
--url https://api.tagdeliver.com/v1/organisation/{id}/pricing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/organisation/{id}/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/organisation/{id}/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"default": {
"tech": [
{
"publisher_rule": 123,
"referrer_rule": 123,
"sales_agent_rule": 123,
"channel_partner_rule": 123,
"band_from": 123,
"band_to": 123
}
],
"demand": [
{
"unit": "<string>",
"publisher_rule": 123,
"referrer_rule": 123,
"sales_agent_rule": 123,
"channel_partner_rule": 123,
"misc_rule": 123
}
],
"fixed": [
"<string>"
]
},
"period": [
{
"id": 123,
"organisation": 123,
"effective_from": "<string>",
"effective_to": "<string>",
"referrer": 123,
"sales_agent": 123,
"channel_partner": 123,
"demand": [
{
"unit": "<string>",
"publisher_rule": 123,
"referrer_rule": 123,
"sales_agent_rule": 123,
"channel_partner_rule": 123,
"misc_rule": 123
}
],
"tech": [
{
"publisher_rule": 123,
"referrer_rule": 123,
"sales_agent_rule": 123,
"channel_partner_rule": 123,
"band_from": 123,
"band_to": 123
}
],
"fixed": [
{
"type": "<string>",
"fee": 123,
"description": "<string>"
}
]
}
],
"hasParent": true
},
"success": true
}Organisation/Pricing
/organisation/:id/pricing
Returns a list of pricing rules; data based periods of pricing settings made up of tech/saas fees, demand revenue shares and fixed fees
GET
/
v1
/
organisation
/
{id}
/
pricing
/organisation/:id/pricing
Was this page helpful?
⌘I